Laserjet P1005

editor321
  5 years ago
  HP (Printer)
  Mint (older version)
  Works perfectly
What works:

Used HPLIP-GUI to install.

What doesn't work:

Plug and play detected but it was not able to print.

What was done to make it work:

Installed GUI version from Software Manager

Additional notes:

HP-LIP does not officially support Mint 18 yet, however, the drivers still work as intended.